package com.sf.mapper;

import com.sf.entity.Tea;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author WanJl
 * @version 1.0
 * @title TeaMapper
 * @description
 * @create 2025/10/26
 */
@Repository
public interface TeaMapper {
    /**
     * 查询所有茶叶信息
     * @return
     */
    List<Tea> selectAll();

    /**
     * 新增茶叶信息
     * @param tea 封装茶叶信息的对象
     * @return 受到影响的行数
     */
    Integer insert(Tea tea);

    /**
     * 修改茶叶信息
     * @param tea
     * @return
     */
    Integer update(Tea tea);

    /**
     * 删除茶叶信息
     * @param id
     * @return
     */
    Integer delete(Integer id);

    /**
     * 根据id查询单个茶叶信息
     * @param id
     * @return
     */
    Tea selectById(Integer id);

    /**
     * 根据条件查询茶叶信息，查询条件封装到Tea对象中
     * @param tea
     * @return
     */
    List<Tea> selectByCondition(Tea tea);

    /**
     * 根据id列表查询茶叶信息
     * @param ids
     * @return
     */
    List<Tea> selectByIds(List<Integer> ids);
}
